Get a data stream config by Id.
GET /api/v1/datastreams/id/. Orchestrator API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
System defined universally unique Id of the data stream config request
Response
A successful response.
Data stream configuration for different types of data (events, logs, metrics etc).
User defined name of the data stream config, unique across the enterprise. Once object is created, name can’t be changed
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined title of the data stream config. Title can be changed at any time
3 - 256^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$Unique Id of the third party plugin
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Is the data stream config enabled?
Type of the source
DATA_SOURCE_TYPE_UNUSED, DATA_SOURCE_TYPE_APP_LOGS, DATA_SOURCE_TYPE_EVENTS, DATA_SOURCE_TYPE_METRICS System defined universally unique Id of the data stream config
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Detailed description of the data stream config.
256System defined info